Skip to main content
curl https://api.usetokenless.com/openai/v1/responses \
  -H "Authorization: Bearer $TOKENLESS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "tokenless-pro",
    "input": "Explain model routing in one paragraph.",
    "stream": true
  }'
event: response.created
data: {"type":"response.created","sequence_number":0,"response":{"id":"resp_req_1e6255bf_5d10049d4ab0_1","object":"response","created_at":0,"model":"tokenless-pro","status":"in_progress","output":[]}}

event: response.output_item.added
data: {"type":"response.output_item.added","sequence_number":2,"output_index":0,"item":{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[],"status":"in_progress"}}

event: response.output_text.delta
data: {"type":"response.output_text.delta","sequence_number":3,"item_id":"msg_req_1e6255bf_5d10049d4ab0_1","output_index":0,"content_index":0,"delta":"Model routing is the process of directing a request to the most suitable model…"}

event: response.output_item.done
data: {"type":"response.output_item.done","sequence_number":5,"output_index":0,"item":{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[{"type":"output_text","text":"Model routing is the process of directing a request to the most suitable model…"}],"status":"completed"}}

event: response.completed
data: {"type":"response.completed","sequence_number":6,"response":{"id":"resp_req_1e6255bf_5d10049d4ab0_1","object":"response","created_at":0,"model":"tokenless-pro","status":"completed","output":[{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[{"type":"output_text","text":"Model routing is the process of directing a request to the most suitable model…"}],"status":"completed"}],"usage":{"input_tokens":11,"output_tokens":227,"total_tokens":238}}}
POST/openai/v1/responses
For the full upstream contract, see the OpenAI API reference.
curl https://api.usetokenless.com/openai/v1/responses \
  -H "Authorization: Bearer $TOKENLESS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "tokenless-pro",
    "input": "Explain model routing in one paragraph.",
    "stream": true
  }'
event: response.created
data: {"type":"response.created","sequence_number":0,"response":{"id":"resp_req_1e6255bf_5d10049d4ab0_1","object":"response","created_at":0,"model":"tokenless-pro","status":"in_progress","output":[]}}

event: response.output_item.added
data: {"type":"response.output_item.added","sequence_number":2,"output_index":0,"item":{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[],"status":"in_progress"}}

event: response.output_text.delta
data: {"type":"response.output_text.delta","sequence_number":3,"item_id":"msg_req_1e6255bf_5d10049d4ab0_1","output_index":0,"content_index":0,"delta":"Model routing is the process of directing a request to the most suitable model…"}

event: response.output_item.done
data: {"type":"response.output_item.done","sequence_number":5,"output_index":0,"item":{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[{"type":"output_text","text":"Model routing is the process of directing a request to the most suitable model…"}],"status":"completed"}}

event: response.completed
data: {"type":"response.completed","sequence_number":6,"response":{"id":"resp_req_1e6255bf_5d10049d4ab0_1","object":"response","created_at":0,"model":"tokenless-pro","status":"completed","output":[{"id":"msg_req_1e6255bf_5d10049d4ab0_1","type":"message","role":"assistant","content":[{"type":"output_text","text":"Model routing is the process of directing a request to the most suitable model…"}],"status":"completed"}],"usage":{"input_tokens":11,"output_tokens":227,"total_tokens":238}}}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required
Available options:
tokenless-pro,
tokenless-max,
tokenless-ultra-saver
input
required

Text or structured Responses API input.

stream
boolean
default:false

Response

An OpenAI-compatible response or SSE stream.